Bug 13803 - SelfCheck not setting flag when item requires transit
Summary: SelfCheck not setting flag when item requires transit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-06 10:01 UTC by Colin Campbell
Modified: 2015-12-03 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed Patch (1.29 KB, patch)
2015-03-06 10:16 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 13803 Flag to self check book has gone into transit (1.58 KB, patch)
2015-04-13 14:45 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 13803 Flag to self check book has gone into transit (1.65 KB, patch)
2015-04-15 23:25 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2015-03-06 10:01:15 UTC
On 3M and other selfcheck machines returned items are routed to separate return bins based on flags in checkin response. Some libraries are reporting this as not happening. Problem was that when the return was flagging WasTransfered this was not setting the flag unlike other conditions resulting in a transit. Add this to the conditions setting the flag
Comment 1 Colin Campbell 2015-03-06 10:16:23 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-04-13 14:45:12 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-15 21:41:43 UTC
Kyle or Brendan, could one of you take a look at this please?
Comment 4 Brendan Gallagher 2015-04-15 23:25:29 UTC
Created attachment 37936 [details] [review]
Bug 13803 Flag to self check book has gone into transit

Ensure that the transit flag (in field CV) is set
if return message is 'wasTransfered'

CV is being set for other return conditions but not for
wasTransfered [sic] The presence of this flag is required to
route returns to the correct bin if the SC unit is so
enabled

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  I agree with the solution to an issue I've already encountered and
  patched localy that way. It would be nice to have a better doc of
  C4::Circulation::AddReturn in order to see immediately that
  WasTransfered is a valid feedback for a check-in.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-04-16 17:24:27 UTC
Patch pushed to master.

Thanks Colin!
Comment 6 Chris Cormack 2015-04-21 23:15:13 UTC
Pushed to 3.18.x will be in 3.18.6